%define _requires_exceptions perl(\\(Win32\\|FusionInventory::.*\\))
%define _provides_exceptions perl(FusionInventory::.*)

Name:		fusioninventory-agent
Version:	2.3.5.1
Release:	%mkrel 1
Summary:	FusionInventory agent
License:	GPL
Group:		System/Servers
URL:		http://www.fusioninventory.org
Source0:	http://forge.fusioninventory.org/attachments/download/1016/FusionInventory-Agent-%{version}.tar.gz
Source1:	%{name}.service
Suggests:   fusioninventory-task-inventory
BuildArch:  noarch

%description
The fusioninventory agent is a generic agent, running on each managed node. It
can perform a certain number of tasks, either according to its own execution
plan, or as requested from a central control server, such as GLPI server with
fusioninventory plugin.

This package contains only the agent itself. Additional task packages are
needed for effective usage.

%package task-inventory
Summary:    Local inventory support for FusionInventory agent
License:    GPL
Group:		System/Servers
Requires:   %{name} = %{version}-%{release}
Suggests:   dmidecode

%description task-inventory
This package provides local inventory support for FusionInventory agent:
- the inventory task allows the agent to extract various hardware and software
  information on its host

%package task-wakeonlan
Summary:    Wake-on-lan support for FusionInventory agent
License:    GPL
Group:		System/Servers
Requires:   %{name} = %{version}-%{release}
suggests:   perl(Net::Write::Layer2)
Obsoletes:  fusioninventory-agent-plugin-wakeonlan

%description task-wakeonlan
This package provides wake-on-lan support for FusionInventory agent:
- the wakeonlan task allows the agent to send wake-on-lan packet to another
  host on the same network

%package task-network
Summary:    Network discovery and inventory support for FusionInventory agent
License:    GPL
Group:		System/Servers
Requires:   %{name} = %{version}-%{release}
Suggests:   nmap
Obsoletes:  fusioninventory-agent-plugin-network

%description task-network
This package provides network support for FusionInventory agent:
- the NetDiscovery task allows the agent to scan the network to find remote
  devices, through nmap, NetBios or SNMP, and to identify them
- the NetInventory task allows the agent to extract various informations from
  a remote device through SNMP protocol

%package task-esx
Summary:    ESX inventory support for FusionInventory agent
License:    GPL
Group:		System/Servers
Requires:   %{name} = %{version}-%{release}
Obsoletes:  fusioninventory-agent-plugin-esx

%description task-esx
This package provides ESX support for FusionInventory agent:
- the ESX task allows the agent to perform remote inventory of ESX, ESXi,
  vCenter server using the SOAP interface

%package task-deploy
Summary:    Software deployment support for FusionInventory agent
License:    GPL
Group:		System/Servers
Requires:   %{name} = %{version}-%{release}
Requires:   perl(Archive::Extract)
Obsoletes:  fusioninventory-agent-plugin-deploy

%description task-deploy
This package provides software deployement support for FusionInventory agent:
- the deploy task allows the agent to perform software installation on its host

%prep
%setup -q -n FusionInventory-Agent-%{version}

%build
%__perl Makefile.PL \
    PREFIX=%{_prefix} \
    SYSCONFDIR=%{_sysconfdir}/fusioninventory \
    LOCALSTATEDIR=%{_localstatedir}/lib/fusioninventory
%make

%install
rm -rf  %{buildroot}
%makeinstall_std

install -d -m 755 %{buildroot}%{_sysconfdir}/sysconfig
cat > %{buildroot}%{_sysconfdir}/sysconfig/fusioninventory-agent <<EOF
# fusioninventory agent options
OPTIONS=""
EOF

install -d -m 755 %{buildroot}%{_sysconfdir}/cron.daily
cat > %{buildroot}%{_sysconfdir}/cron.daily/fusioninventory-agent <<EOF
#!/bin/sh
. /etc/sysconfig/fusioninventory-agent
%{_bindir}/fusioninventory-agent $OPTIONS > /dev/null 2>&1
EOF
chmod 755 %{buildroot}%{_sysconfdir}/cron.daily/fusioninventory-agent

install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/fusioninventory-agent <<EOF
%{_localstatedir}/log/%{name}/*.log {
    compress
    notifempty
    missingok
}
EOF

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/fusioninventory-agent.service

install -d -m 755 %{buildroot}%{_localstatedir}/log/%{name}
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}

%files
%doc Changes THANKS LICENSE README
%{_bindir}/fusioninventory-agent
%{_bindir}/fusioninventory-injector
%{_mandir}/man1/fusioninventory-agent.1*
%{_mandir}/man1/fusioninventory-injector.1*
%{_localstatedir}/log/fusioninventory-agent
%{_localstatedir}/lib/fusioninventory-agent
%{_datadir}/fusioninventory
%dir %{_sysconfdir}/fusioninventory
%config(noreplace) %{_sysconfdir}/fusioninventory/agent.cfg
%config(noreplace) %{_sysconfdir}/logrotate.d/fusioninventory-agent
%config(noreplace) %{_sysconfdir}/cron.daily/fusioninventory-agent
%config(noreplace) %{_sysconfdir}/sysconfig/fusioninventory-agent
%{_unitdir}/fusioninventory-agent.service
%exclude %{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task
%exclude %{_datadir}/fusioninventory/lib/FusionInventory/Agent/SNMP.pm
%exclude %{_datadir}/fusioninventory/lib/FusionInventory/Agent/SNMP
%exclude %{_datadir}/fusioninventory/lib/FusionInventory/Agent/SOAP

%files task-inventory
%{_bindir}/fusioninventory-inventory
%{_mandir}/man1/fusioninventory-inventory.1*
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/Inventory.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/Inventory

%files task-wakeonlan
%{_bindir}/fusioninventory-wakeonlan
%{_mandir}/man1/fusioninventory-wakeonlan.1*
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/WakeOnLan.pm

%files task-network
%{_bindir}/fusioninventory-netdiscovery
%{_bindir}/fusioninventory-netinventory
%{_mandir}/man1/fusioninventory-netdiscovery.1*
%{_mandir}/man1/fusioninventory-netinventory.1*
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/NetInventory.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/NetDiscovery.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/NetDiscovery
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/SNMP.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/SNMP

%files task-esx
%{_bindir}/fusioninventory-esx
%{_mandir}/man1/fusioninventory-esx.1*
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/ESX.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/SOAP

%files task-deploy
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/Deploy.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/Deploy


%changelog
* Wed Jan 15 2014 guillomovitch <guillomovitch> 2.3.5.1-1.mga4
+ Revision: 566615
- new version 2.3.5.1
- add obsoletes tag for previous plugin-* packages
- add Archive::Extract dependency for task-deploy

* Fri Nov 29 2013 guillomovitch <guillomovitch> 2.3.4-1.mga4
+ Revision: 554095
- new version 2.3.4

* Wed Nov 06 2013 guillomovitch <guillomovitch> 2.3.3-1.mga4
+ Revision: 549837
- new version 2.3.3

* Mon Oct 21 2013 umeabot <umeabot> 2.3.2-3.mga4
+ Revision: 538288
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 guillomovitch <guillomovitch> 2.3.2-2.mga4
+ Revision: 489214
- rebuild for proper soft dependency support

* Fri Sep 20 2013 guillomovitch <guillomovitch> 2.3.2-1.mga4
+ Revision: 481834
- new version 2.3.2

* Tue Sep 10 2013 guillomovitch <guillomovitch> 2.3.1-1.mga4
+ Revision: 477137
- new version 2.3.1

* Mon Aug 05 2013 guillomovitch <guillomovitch> 2.3.0-2.mga4
+ Revision: 463774
- better description
- move F::A::HTTP::Client::Fusion class in main package, it is needed by
  esx and deploy tasks

* Thu Aug 01 2013 guillomovitch <guillomovitch> 2.3.0-1.mga4
+ Revision: 462169
- new version

* Fri Jan 11 2013 umeabot <umeabot> 2.2.7-2.mga3
+ Revision: 351000
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 guillomovitch <guillomovitch> 2.2.7-1.mga3
+ Revision: 317590
- new version

* Mon Sep 17 2012 guillomovitch <guillomovitch> 2.2.6-1.mga3
+ Revision: 294858
- new version
- ship %%{_sysconfdir}/sysconfig/fusioninventory-agent
- honour %%{_sysconfdir}/sysconfig/fusioninventory-agent in cron task
- back to noarch, we only ship x86 packages currently

* Thu Aug 16 2012 guillomovitch <guillomovitch> 2.2.5-1.mga3
+ Revision: 281539
- useless dependencies, there is no %%post section
- new version

* Mon Jul 30 2012 guillomovitch <guillomovitch> 2.2.4-1.mga3
+ Revision: 275996
- new version

* Tue Jun 26 2012 guillomovitch <guillomovitch> 2.2.3-1.mga3
+ Revision: 263860
- new version

* Fri Jun 01 2012 guillomovitch <guillomovitch> 2.2.2-1.mga3
+ Revision: 252830
- new version

* Tue May 29 2012 guillomovitch <guillomovitch> 2.2.1-1.mga3
+ Revision: 249186
- new version
- make it arch-specific, for arch-specific dependencies as dmidecode

* Sat Apr 28 2012 tmb <tmb> 2.2.0-4.mga2
+ Revision: 233702
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 20 2012 guillomovitch <guillomovitch> 2.2.0-3.mga2
+ Revision: 232017
- force daemonization in systemd service file

* Tue Apr 17 2012 guillomovitch <guillomovitch> 2.2.0-2.mga2
+ Revision: 231233
- drop debian-style initscript
- add systemd support
- add README file
- 2.2.0 final

* Thu Jan 19 2012 guillomovitch <guillomovitch> 2.1.9904-1.mga2
+ Revision: 198452
- new snapshot

* Wed Nov 09 2011 guillomovitch <guillomovitch> 2.1.9902-2.mga2
+ Revision: 165886
- fix automatic dependencies

* Tue Nov 08 2011 guillomovitch <guillomovitch> 2.1.9902-1.mga2
+ Revision: 165670
- new version (2.2 beta2)
- force perl(File::ShareDir) dependency (fix #285)

* Tue Jul 19 2011 guillomovitch <guillomovitch> 2.1.9-1.mga2
+ Revision: 126732
- new version

* Sun Mar 06 2011 ennael <ennael> 2.1.7-1.mga1
+ Revision: 65511
- imported package fusioninventory-agent


* Mon Dec 13 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.7-1mdv2011.0
+ Revision: 620627
- new version

* Wed Oct 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.6-1mdv2011.0
+ Revision: 583896
- update to new version 2.1.6

* Thu Sep 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.5-1mdv2011.0
+ Revision: 580709
- update to new version 2.1.5

* Wed Sep 15 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.4-1mdv2011.0
+ Revision: 578504
- update to new version 2.1.4

* Sun Sep 05 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.3-1mdv2011.0
+ Revision: 576169
- update to new version 2.1.3

* Mon Aug 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.2-1mdv2011.0
+ Revision: 572506
- update to new version 2.1.2

* Wed Aug 18 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.1-1mdv2011.0
+ Revision: 571246
- new version

* Sun Aug 15 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-1mdv2011.0
+ Revision: 570260
- new version

* Thu Aug 05 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-0.rc3.2mdv2011.0
+ Revision: 566248
- add data storage directory

* Mon Jul 26 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-0.rc3.1mdv2011.0
+ Revision: 560889
- new pre-version

* Sat Jul 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-0.rc2.1mdv2011.0
+ Revision: 554587
- new version
- patch2: don't run fdisk on cdrom devices
- new version
- port some patches from ocs-agent

* Thu Apr 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.3-1mdv2010.1
+ Revision: 540674
- import fusioninventory-agent


* Thu Apr 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.3-1mdv2010.1
- initial mdv release
